package com.zcloud.mapper.datasource.hiddenApi;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：隐患验收人员记录
 * 作者：luoxiaobao
 * 时间：2021-01-20
 * 官网：www.zcloudchina.com
 */
public interface HiddenCheckApiMapper {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	int save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);

    List<PageData> listAllByIds(PageData pd);


	/**通过id获取数据
	 * @param hiddenId 隐患id
	 * @throws Exception
	 */
	List<PageData> findByHidden(String hiddenId);
	/**
	 * 根基隐患id 和用户id验收隐患
	 * @param pd
	 * @throws Exception
	 */
	int checkHidden(PageData pd);
	/**根据隐患信息删除隐患验收人。
	 * @param hiddenId
	 * @throws Exception
	 */
	int deleteByHiddenId(String hiddenId);


}

